{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    {
      "item": "minecraft:netherite_ingot"
    },
    {
      "item": "minecraft:flowering_azalea"
    },
    {
      "item": "minecraft:bamboo"
    },
    {
      "item": "minecraft:dark_oak_sapling"
    },
    {
      "item": "minecraft:cherry_sapling"
    },
    {
      "item": "minecraft:cactus"
    },
    {
      "item": "minecraft:conduit"
    },
    {
      "item": "minecraft:pitcher_plant"
    },
    {
      "item": "minecraft:mangrove_propagule"
    }
  ],
  "result": {
    "id": "minecraft:knowledge_book"
  }
}